### Name: snowfall-package
### Title: Toplevel useability wrapper for snow to make parallel
###   programming even more easy and comfortable. All functions are able to
###   run without cluster in sequential mode. Also snowfall works as
###   connector to the cluster management program sfCluster, but can also
###   run without it.
### Aliases: snowfall-package snowfall
### Keywords: package

### ** Examples

## Not run: 
##D   # Init Snowfall with settings from sfCluster
##D   ##sfInit()
##D 
##D   # Init Snowfall with explicit settings.
##D   sfInit( parallel=TRUE, nodes=2 )
##D 
##D   if( sfParallel() )
##D     cat( "Running in parallel mode on", sfCpus(), "nodes.\n" )
##D   else
##D     cat( "Running in sequential mode.\n" )
##D 
##D   # Define some global objects.
##D   globalVar1 <- c( "a", "b", "c" )
##D   globalVar2 <- c( "d", "e" )
##D   globalVar3 <- c( 1:10 )
##D   globalNoExport <- "dummy"
##D 
##D   # Define stupid little function.
##D   calculate <- function( x ) {
##D     cat( x )
##D     return( 2 ^ x )
##D   }
##D 
##D   # Export all global objects except globalNoExport
##D   # List of exported objects is listed.
##D   # Work both parallel and sequential.
##D   sfExportAll( except=c( "globalNoExport" ) )
##D 
##D   # List objects on each node.
##D   sfClusterEvalQ( ls() )
##D 
##D   # Calc something with parallel sfLappy
##D   cat( unlist( sfLapply( globalVar3, calculate ) ) )
##D 
##D   # Remove all variables from object.
##D   sfRemoveAll( except=c( "calculate" ) )
## End(Not run)



