### Name: snowfall-calculation
### Title: Parallel calculation functions
### Aliases: sfClusterMap sfClusterApply sfClusterApplyLB sfClusterApplySR
###   sfLapply sfSapply sfApply sfRapply sfCapply sfMM sfRestore
### Keywords: package

### ** Examples

## Not run: 
##D   restoreResults <- TRUE
##D 
##D   sfInit(parallel=FALSE)
##D 
##D   ## Execute in cluster or sequential.
##D   sfLapply(1:10, exp)
##D 
##D   ## Execute with intermediate result saving and restore on wish.
##D   sfClusterApplySR(1:100, exp, name="CALC_EXP", restore=restoreResults)
##D   sfClusterApplySR(1:100, sum, name="CALC_SUM", restore=restoreResults)
##D 
##D   sfStop()
##D 
##D   ##
##D   ## Small bootstrap example.
##D   ##
##D   sfInit(parallel=TRUE, cpus=2)
##D 
##D   require(mvna)
##D   data(sir.adm)
##D 
##D   sfExport("sir.adm", local=FALSE)
##D   sfLibrary(cmprsk)
##D 
##D   wrapper <- function(a) {
##D     index <- sample(1:nrow(sir.adm), replace=TRUE)
##D     temp <- sir.adm[index, ]
##D     fit <- crr(temp$time, temp$status, temp$pneu, failcode=1, cencode=0)
##D     return(fit$coef)
##D   }
##D 
##D   result <- sfLapply(1:100, wrapper)
##D 
##D   mean( unlist( rbind( result ) ) )
##D   sfStop()
## End(Not run)



