### Name: snowfall-tools
### Title: Cluster tools
### Aliases: snowfall-tools sfLibrary sfSource sfExport sfExportAll
###   sfRemove sfRemoveAll sfCat sfClusterSplit sfClusterCall sfClusterEval
###   sfClusterEvalQ sfClusterSetupRNG sfClusterSetupRNGstream
###   sfClusterSetupSPRNG sfTest
### Keywords: package

### ** Examples

## Not run: 
##D     sfInit( parallel=FALSE )
##D 
##D     ## Now works both in parallel as in sequential mode without
##D     ## explicit cluster handler.
##D     sfClusterEval( cat( "yummie\n" ) );
##D 
##D     ## Load a library on all slaves. Stop if fails.
##D     sfLibrary( tools )
##D     sfLibrary( "tools", character.only=TRUE )  ## Alternative.
##D 
##D     ## Execute in cluster or sequential.
##D     sfLapply( 1:10, exp )
##D 
##D     ## Export global Var
##D     gVar <- 99
##D     sfExport( "gVar" )
##D 
##D     ## If there are local variables with same name which shall not
##D     ## be exported.
##D     sfExport( "gVar", local=FALSE )
##D 
##D     ## Export local variables
##D     var1 <- 1    ## Define global
##D     var2 <- "a"
##D 
##D     f1 <- function() {
##D       var1 <- 2
##D       var3 <- "x"
##D 
##D       f2 <- function() {
##D         var1 <- 3
##D 
##D         sfExport( "var1", "var2", "var3", local=TRUE )
##D         sfClusterCall( var1 )    ## 3
##D         sfClusterCall( var2 )    ## "a"
##D         sfClusterCall( var3 )    ## "x"
##D       }
##D 
##D       f2()
##D     }
##D 
##D     f1()
##D 
##D     ## Init random number streams (snows functions, build upon
##D     ## packages rlecuyer/rsprng).
##D     sfClusterCall( runif, 4 )
##D 
##D     sfClusterSetupRNG()         ## L'Ecuyer is default.
##D     sfClusterCall( runif, 4 )
##D 
##D     sfClusterSetupRNG( type="SPRNG", seed = 9876)
##D     sfClusterCall( runif, 4 )
##D 
##D     ## Run unit-test on main functions.
##D     sfTest()
## End(Not run)



